Skip to main content
GET
Fetch all sub-accounts belonging to the customer.
Fetches all sub-accounts under the main account.

Authorizations

x-api-key
string
header
required

Requires authentication via API key and HMAC signature.

  • x-api-key: Your API key generated from your Onboard Business dashboard.
  • x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 seconds
  • x-signature: SHA256 HMAC HEX signature calculated over t={x-timestamp}&{requestBody} using your API Secret.

Query Parameters

accountId
string<uuid>

The ID for the main account for the request.

size
integer
default:20
Required range: 1 <= x <= 100
page
integer
default:1

Page parameter, starting from 1

Required range: x >= 1

Response

Sub-accounts fetched Successfully

Paginated list of sub-accounts belonging to a client.

content
object[]
required

List of sub-accounts

name
string

Descriptive name for the list

size
integer<int32>

Positive integer

Required range: x >= 0
totalItems
integer<int32>

Positive integer

Required range: x >= 0
nextPage
integer<int32>

Positive integer

Required range: x >= 0
previousPage
integer<int32>

Positive integer

Required range: x >= 0